/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.epochtolocaldateexample;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;

/**
 *
 * @author omozegieaziegbe
 */
public class EpochToLocalDateExample {

    public static void main(String[] args) {
        // Epoch time in seconds
        long epochSeconds = 1702425600; 

        // Specify the desired time zone
        ZoneId zoneId = ZoneId.of("America/New_York");

        // Convert Epoch time to LocalDateTime in the specified time zone
        LocalDateTime localDateTime = LocalDateTime.ofInstant(Instant.ofEpochSecond(epochSeconds), zoneId);

        // Extract LocalDate from LocalDateTime
        LocalDate localDate = localDateTime.toLocalDate();

        System.out.println("Epoch time: " + epochSeconds);
        System.out.println("LocalDate in " + zoneId + ": " + localDate);
    }
}
