/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.localdatetoepochexample;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.ZoneOffset;

/**
 *
 * @author omozegieaziegbe
 */
public class LocalDateToEpochExample {

    public static void main(String[] args) {
        
       // Create a LocalDate object
        LocalDate localDate = LocalDate.now(); 

        // Specify the desired time zone
        ZoneId zoneId = ZoneId.of("America/New_York"); 

        // Convert LocalDate to LocalDateTime at the start of the day in the specified time zone
        LocalDateTime startOfDay = localDate.atStartOfDay(zoneId).toLocalDateTime();

        // Convert LocalDateTime to Epoch time (seconds since Unix Epoch)
        long epochSeconds = startOfDay.toEpochSecond(ZoneOffset.UTC);

        System.out.println("LocalDate: " + localDate);
        System.out.println("Epoch time in " + zoneId + ": " + epochSeconds);
        
    }
}
